import { virtual } from 'haunted';
import { html } from 'lit-html';
import { MythCoverFallback } from '../myth-cover-fallback';
import { MythTrackText } from '../myth-track-text';
import { getCover } from '../../_lib/get-cover';

export const MythTrackInfo = virtual(
  ({ track = {}, indexSelected, literals = {} }) => {
    const hasTrackInfo = Number.isInteger(indexSelected);
    return html`
      <div class="myth-track-info">
        <div class="myth-track-info__inner">
          <div class="myth-track-info__image">
            ${hasTrackInfo && track.cover
              ? html`<img
                  src="${getCover(track.cover)}"
                  alt=""
                  aria-hidden="true"
                />`
              : MythCoverFallback({})}
          </div>
          <div class="myth-track-info__data">
            ${hasTrackInfo
              ? MythTrackText({
                  title: track.title,
                  artist: track.artist,
                  album: track.album
                })
              : MythTrackText({ title: literals.noPlaying })}
          </div>
        </div>
      </div>
    `;
  }
);
